input {
    margin: 10px;
    max-width: 400px;
    width: 100%;
}

input[type="checkbox"] {
    width: auto;
}

form {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 0, 225, 0.5);
    z-index: 20;
    transition: .3s all;
}

form {
    width: 100%;
    max-width: 500px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 30;
    box-shadow: 0 3px 10px -.5px rgb(136, 105, 249);
    padding: 30px;
    border-radius: 3px;
    background-color: rgb(68, 210, 232);
    transition: 0.3s all;
}

.main {
    display: flex;
    flex-direction: column;
}
a {
    padding: 20px;
    display: inline-block;
    text-decoration: none;
    background-color: rgb(255, 0, 183);
    color : rgb(255, 255, 255);
    margin: 10px;
    border-radius: 3px;
}
@media screen and (max-width: 768px) {
    input {
        max-width: 350px;
    }
    input[type="checkbox"] {
        width: auto;
    }
}


